RegExpOne (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.util

## Class RegExpOne

- java.lang.Object
- - hlt.language.util.RegExp
  - - hlt.language.util.RegExpOne

- Direct Known Subclasses:
    RegExpOption, RegExpPlus, RegExpPower, RegExpPowerRange, RegExpStar

      public abstract class RegExpOne
      extends RegExp

  This abstract class is a partial implementation of the abstract class `RegExp` to represent a monadic regular expression operator.

  The concrete subclasses of this class are:

  - `RegExpOption`

  - `RegExpPlus`

  - `RegExpStar`

  - `RegExpPower`

  - `RegExpPowerRange`
  Version:
    Last modified on Tue Jun 19 17:38:05 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © Hassan Aït-Kaci

- - ### Field Summary

    - ### Fields inherited from class hlt.language.util.RegExp

      `BINARY_EXP, CHOICE_EXP, CONCAT_EXP, EMPTY, EMPTY_EXP, OPTION_EXP, PLUS_EXP, POWER_EXP, RANGE_EXP, STAR_EXP, SYMBOL_EXP, UNARY_EXP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Returns `true` iff the specified object is a `RegExpOne` of same type and argument as this one's.
    `RegExp` | `getArg()`
    `RegExp` | `normalArg()` Returns the normal form of the argument of this unary expression.

    - ### Methods inherited from class hlt.language.util.RegExp

      `cleanup, deepCopy, isBinary, isChoice, isConcat, isEmpty, isLexLess, isOption, isPlus, isPower, isRange, isStar, isSymbol, isUnary, normalize, normEquals, noTrace, shallowCopy, tag, toggleTrace, toNormalString, trace, tracing, type`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getArg

          public final RegExp getArg()

    - #### normalArg

          public final RegExp normalArg()

      Returns the normal form of the argument of this unary expression.

    - #### equals

          public boolean equals(java.lang.Object other)

      Returns `true` iff the specified object is a `RegExpOne` of same type and argument as this one's.
      Overrides:
        `equals` in class `java.lang.Object`